.header {
    position: sticky;
    top: 0;
    z-index: 1000;

    background: #1e293b;
    box-shadow: 0 2px 10px rgba(0, 0, 0, .15);
}

.container {
    max-width: 1200px;
    margin: auto;

    display: flex;
    justify-content: space-between;
    align-items: center;

    padding: 0 20px;
    height: 70px;
}

.logo {
    color: #fff;
    font-size: 1.5rem;
    font-weight: 700;
}

.nav {
    display: flex;
    gap: 30px;
}

.nav a {
    text-decoration: none;
    color: #fff;
    transition: .3s;
}

.nav a:hover {
    color: #38bdf8;
}

.hamburger {
    display: none;
    background: none;
    border: none;
    cursor: pointer;
}

.hamburger span {
    display: block;
    width: 28px;
    height: 3px;
    margin: 5px;
    background: #fff;
    border-radius: 10px;
}

/* Mobile */

@media (max-width:768px) {

    .hamburger {
        display: block;
    }

    .nav {
        position: fixed;
        top: 70px;
        right: -100%;

        width: 280px;
        height: 100vh;

        background: #0f172a;

        flex-direction: column;
        padding: 40px 20px;

        transition: .3s;
    }

    .nav.active {
        right: 0;
    }
}